### Method

# Gimp Curve set_sample

since: 3.2

#### Declaration [src]

    void
    gimp_curve_set_sample (
      GimpCurve* curve,
      gdouble x,
      gdouble y
    )

#### Description [src]

Sets a sample in a `GIMP_CURVE_FREE` `curve`, with coordinates `(x, y)`.

Note that while the `y` coordinate will be stored exactly, the `x` coordinate will be rounded to the closest curve sample on the abscissa. The more sample was set with `gimp_curve_set_n_samples()`, the more precise the rounding will be.

Available since: 3.2

#### Parameters

`x`

  Type: `gdouble`

  The point abscissa on a `[0.0, 1.0]` range.

`y`

  Type: `gdouble`

  The point ordinate on a `[0.0, 1.0]` range.